Spotify och min gamla iMac

Spotify erbjuder förutom en Windows klient även en Mac klient, laddade ner klienten på min iMac (som kör rekommenderad version av operativet OSX, 10.4.11), installerade och försökte starta Spotify, inget händer. Kikade i loggarna och samma problem/fel som med Skype, “dyld: incompatible cpu-subtype”. Versionen som finns tillgänglig att ladda ner på Spotify är inte kompilerad för PPC, tolkar jag det som vilket är underligt, det måste finnas tusentals äldre Apple burkar med PPC-processorer i bruk fortfarande. Hur svårt kan det vara att kompilera en version med stöd för PPC med dagens kompilatorer? Antagligen inte alls klurigt, de har bara inte orkat bry sig. humph!

3 thoughts on “Spotify och min gamla iMac

  1. jag kör utan problem spotify på en imac med ppc-processor. men med 10.5.5, visserligen. men det beror inte på att du har ppc..

  2. stefan: något fel är i alla fall trasigt, ett klipp ur loggen visar följande;

    **********
    Host Name: Itchy
    Date/Time: 2008-12-13 19:32:03.119 +0100
    OS Version: 10.4.11 (Build 8S165)
    Report Version: 4

    Command: Spotify
    Path: /Applications/Spotify.app/Contents/MacOS/Spotify
    Parent: WindowServer [62]

    Version: 0.3.8 (33525)

    PID: 4506
    Thread: Unknown

    Link (dyld) error:

    incompatible cpu-subtype

    … och om-installation löste inte problemet. Några idéer?

  3. Skulle gissa på att spotify vill ha altivec (PPC:s motsvarighet till SSE) som finns i G4 och senare, och att de inte brytt sig om att programera en fallback för äldre processorer.

Comments are closed.